Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.source
Class Parameter

    java.lang.Object
      |
      +--oracle.olapi.data.source.Parameter

Direct Known Subclasses:
  BooleanParameter, DateParameter, NumberParameter, StringParameter

public abstract class Parameter
extends java.lang.Object

An object that specifies a value that you use in creating a query. After creating the query, you can change the value of the `Parameter` and thereby change the selection of dimension or measure elements that the query represents.

You use a `Parameter` to create a parameterized `Source` with one of the `createParameterizedSource` methods of the `DataProvider` for the `Parameter`. You then use the parameterized `Source` as a parameter to a method that selects one or more elements of another `Source` and produces a derived `Source`. You can commit the `Transaction` and create a `Cursor` for the `Source` to retrieve the results of the query.

You can change the selection of elements that the derived `Source` represents by changing the value of the `Parameter` with its `setValue` method. The `Cursor` for the query `Source` then has the values of the new selection. You do not need to commit the `Transaction` nor create a new `Cursor`. You can instead just get the values for the new selection from the existing `Cursor`.

Method Summary
`abstract java.lang.Object` | `acceptVisitor(ParameterVisitor visitor, java.lang.Object context)` Calls the appropriate method of the specified `ParameterVisitor` and passes that method the `Parameter` and the specified context `Object`.
`DataProvider` | `getDataProvider()` Gets the `DataProvider` for this `Parameter`.
`java.lang.String` | `getID()` Gets a `String` that uniquely identifies this `Parameter` during this connection.
`abstract java.lang.Object` | `getValueObject()` Gets an `Object` that contains the value for this `Parameter`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public abstract java.lang.Object acceptVisitor(ParameterVisitor visitor,
                                                   java.lang.Object context)

  Calls the appropriate method of the specified `ParameterVisitor` and passes that method the `Parameter` and the specified context `Object`.
  Parameters:
    `visitor` - An instance a class derived from the `ParameterVisitor` class.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the appropriate method of the specified `ParameterVisitor`.

### getDataProvider

    public final DataProvider getDataProvider()

  Gets the `DataProvider` for this `Parameter`.
  Returns:
    The `DataProvider` for this `Parameter`.

### getID

    public final java.lang.String getID()

  Gets a `String` that uniquely identifies this `Parameter` during this connection.
  Returns:
    A `String` that uniquely identifies this `Parameter`.

### getValueObject

    public abstract java.lang.Object getValueObject()

  Gets an `Object` that contains the value for this `Parameter`.
  Returns:
    An `Object` that contains the value for this `Parameter`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.